Google Earth no Debian Testing

Publicado por Antonio J. M. Chaves em 10/07/2015

[ Hits: 3.378 ]

 


Google Earth no Debian Testing



Essa dica é pra gurizada que, assim como eu, tomou uns erros estranhos quando instalou o pacote do Google Earth que a Google disponibilizou (versão 7.1).

O Debian tem um pacote chamado googleearth-package. Este serve para baixar um binário do Google Earth 6 e fazer um pacote de instalação:

# aptitude install googleearth-package
make-googleearth-package

Quem tentar rodar como root vai levar uma mensagem dizendo, em outras palavras, que não pode. Então vamos obedecer e rodá-lo como usuário comum. Feito isso ele já diz qual é o próximo passo:

# dpkg -i googleearth_versãodopacote_arquitetura.deb

E aí? Instalou e não deu certo de novo, outra vez e novamente? Desta vez é só resolver as dependências. Caso tenhas um sistema 64 bits habilite as bibliotecas de 32 bits nele. Leia bem as mensagens que foram passadas pelo dpkg e procure instalar os pacotes que ele precisa. As dependências, no meu caso (Debian Stretch 64 bits), foram essas:

# aptitude install libfreeimage3 libcurl3:i386 libsm6:i386 libfontconfig1:i386 libxt6:i386 libxrender1:i386

Rode o dpkg de novo para instalar o pacote (é aquele comando que está ali em cima).

Na minha situação, esses foram os passos para contornar o problema com o Google Earth 7. Gostaria que, os que tiverem disponibilidade, testassem no Debian Jessie ou no Wheezy se esses passos também funcionam. Obrigado e até mais!

Outras dicas deste autor

Leitor Biométrico no Thinkpad X230 com openSUSE 13.2 - Configuração

Recuperando o Boot Booster no Asus EEE PC 1001HA

Leitura recomendada

Red Hat 9 em Live CD

Monitor de rede na bandeja do sistema do KDE: knemo

Sincronizando legendas .srt

Como alterar a tela de login no Ubuntu 10.04

Phantom - Clonagem de sistemas e muito mais

  

Comentários
[1] Comentário enviado por dax em 07/09/2015 - 14:03h

Salve, salve, Antônio!

No Jessie i386 foi necessário resolver essas e outras dependências.
Após o make-googleearth-package o programa informa os pacotes:

$ make-googleearth-package

Package: googleearth
Version: 6.0.3.2197+1.2.0-1
Architecture: i386
Depends: fonts-liberation, libfreeimage3, lsb-core, libqtcore4, libgl1-mesa-glx, libglu1-mesa
Suggests: lib32nss-mdns, libgl1-nvidia-glx, libgl1-fglrx-glx
Description: Google Earth, a 3D map/planet viewer
Package built with googleearth-package.
dpkg-deb: construindo pacote 'googleearth' em './googleearth_6.0.3.2197+1.2.0-1_i386.deb'.
-----------------------------
Success!

$ sudo dpkg -i googleearth_6.0.3.2197+1.2.0-1_i386.deb

Valeu demais!

Obs:

Aqui quase funfou... o programa informa que o driver da minha placa não está instalado.
Após a terceira tentativa o Earth executa mas não exibe o mapa 3D.
Deve funcionar nos demais casos.

[2] Comentário enviado por ajmchaves em 07/09/2015 - 15:33h


[1] Comentário enviado por dax em 07/09/2015 - 14:03h

Salve, salve, Antônio!

No Jessie i386 foi necessário resolver essas e outras dependências.
Após o make-googleearth-package o programa informa os pacotes:

$ make-googleearth-package

Package: googleearth
Version: 6.0.3.2197+1.2.0-1
Architecture: i386
Depends: fonts-liberation, libfreeimage3, lsb-core, libqtcore4, libgl1-mesa-glx, libglu1-mesa
Suggests: lib32nss-mdns, libgl1-nvidia-glx, libgl1-fglrx-glx
Description: Google Earth, a 3D map/planet viewer
Package built with googleearth-package.
dpkg-deb: construindo pacote 'googleearth' em './googleearth_6.0.3.2197+1.2.0-1_i386.deb'.
-----------------------------
Success!

$ sudo dpkg -i googleearth_6.0.3.2197+1.2.0-1_i386.deb

Valeu demais!

Obs:

Aqui quase funfou... o programa informa que o driver da minha placa não está instalado.
Após a terceira tentativa o Earth executa mas não exibe o mapa 3D.
Deve funcionar nos demais casos.


Eu não consegui testar com o desktop porque a placa-mãe queimou, logo não sei se ele dá problema com nvidia ou não. Com intel foi sossegado. Eu acabei não escrevendo no artigo que na minha instalação já estava ativo a arquitetura i686, então é quase certo que tem mais pacotes que já estavam instalado que não estão listados.



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts